package cn.com.qmth.examcloud.marking.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class BasePaperBean implements JsonSerializable {

    /**
     * 
     */
    private static final long serialVersionUID = -2522829579622400375L;

    private String basePaperId;

    private String basePaperName;

    // 一个basePaperId只会有一种值
    private Boolean randomPaper;

    // 一个basePaperId可能对应多个值，在多个考试用同一个试卷时。优先anyTimeMark=true的值
    private Boolean anyTimeMark;

    public BasePaperBean() {
        super();
    }

    public BasePaperBean(String basePaperId, String basePaperName, Boolean randomPaper, Boolean anyTimeMark) {
        super();
        this.basePaperId = basePaperId;
        this.basePaperName = basePaperName;
        this.randomPaper = randomPaper;
        this.anyTimeMark = anyTimeMark;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }

    public String getBasePaperName() {
        return basePaperName;
    }

    public void setBasePaperName(String basePaperName) {
        this.basePaperName = basePaperName;
    }

    public Boolean getRandomPaper() {
        return randomPaper;
    }

    public void setRandomPaper(Boolean randomPaper) {
        this.randomPaper = randomPaper;
    }

    public Boolean getAnyTimeMark() {
        return anyTimeMark;
    }

    public void setAnyTimeMark(Boolean anyTimeMark) {
        this.anyTimeMark = anyTimeMark;
    }

}
